<?php
include('ajax_upload_init.php');
if(!isset($_SESSION['user'])) exit;

//www.tinymce.com/docs/advanced/php-upload-handler/ adapted
  /*******************************************************
   * Only these origins will be allowed to upload images *
   ******************************************************/

  $accepted_origins = array($plxMotor->racine);//,'http://localhost', 'http://192.168.1.1', 'http://my-domain.me'

  /*********************************************
   * Change this line to set the upload folder *
   *********************************************/
  $imageFolder = 'blobs_tiny';

  reset ($_FILES);
  $temp = current($_FILES);
  if (is_uploaded_file($temp['tmp_name'])){
    if (isset($_SERVER['HTTP_ORIGIN'])) {
// same-origin requests won't set an origin. If the origin is set, it must be valid.
      if (in_array($_SERVER['HTTP_ORIGIN'], $accepted_origins)) {
        header('Access-Control-Allow-Origin: ' . $_SERVER['HTTP_ORIGIN']);
      } else {
        header("HTTP/1.0 403 Origin Denied");
        return;
      }
    }

/*
      If your script needs to receive cookies, set images_upload_credentials : true in
      the configuration and enable the following two headers.
*/
     header('Access-Control-Allow-Credentials: true');
     header('P3P: CP="There is no P3P policy."');

// Sanitize input
    if (preg_match("/([^\w\s\d\-_~,;:\[\]\(\).])|([\.]{2,})/", $temp['name'])) {
        header("HTTP/1.0 500 Invalid file name.");
        return;
    }

// Verify extension
    if (!in_array(strtolower(pathinfo($temp['name'], PATHINFO_EXTENSION)), array("gif", "jpg", "jpeg", "png"))) {
        header("HTTP/1.0 500 Invalid extension.");
        return;
    }

//  Accept upload if there was no origin, or if it is an accepted origin
    $absoImageFolder = PLX_ROOT.$plxMotor->plxPlugins->aPlugins[$pluginName]->getParam('folder').$imageFolder.DIRECTORY_SEPARATOR;//absolute
    $relaImageFolder = PLX_TOOT.$plxMotor->plxPlugins->aPlugins[$pluginName]->getParam('folder').$imageFolder.DIRECTORY_SEPARATOR;//relative
    if(!is_dir($absoImageFolder)) mkdir($absoImageFolder);// if not, create upload folder
    $iseo = '';
    if(isset($_SERVER['HTTP_REFERER'])){
     $esrap = parse_url($_SERVER['HTTP_REFERER']);//scheme host path query
     $iseo = str_replace(array('/core/admin/','.php'),'',$esrap['path']).'_';//
     if(isset($esrap['query'])){
      $qr = explode('=',$esrap['query']);
      $iseo .= str_replace($qr[0].'=','',$esrap['query']).'_';
     }
    }
    $date = date('Y-m-d_H-m-i').'_';
    move_uploaded_file($temp['tmp_name'], $absoImageFolder . $iseo . $date . $temp['name']);
//  Respond to the successful upload with JSON.
//  Use a location key to specify the path to the saved image resource.
//  {'location' : '\/your\/uploaded\/image\/file'}
//~ echo json_encode(array('location' => $relaImageFolder . $iseo . $date . $temp['name']));//PHP.5.2+
//        {"location":"..\/..\/data\/medias\/blobs_tiny\/TYPE_[ID_]AAAA-MM-DD_HH-MM-SS_(mceclip|imagetools|blobid)#.EXT"}
    echo '{"location":"'.str_replace(array('/','\/\/'),'\/',$relaImageFolder . $iseo . $date . $temp['name']).'"}';#JSON 4 ALL PHP
  } else {
    // Notify editor that the upload failed
    header("HTTP/1.0 500 Server Error");
  }
