<?php if(!defined('PLX_ROOT')) exit;

# Control du token du formulaire
plxToken::validateFormToken($_POST);
/* De kzAce #merci @Bazooka
 * Pour obtenir la liste des fichiers *.php utilisant printArea dans le dossier core/admin/ :
 * grep -l printArea ../../core/admin/*.php |sed 's/^.*\/\([^\/]\+\)\.php$/\1/'
 * grep -l n'affiche que le nom des fichiers ayant une occurence
 *
 * Pour obtenir la liste de tous les noms des champs employés par printArea :
 * grep -hi printArea ../../core/admin/*.php | sed "s/^.*printArea('\([^']\+\).*$/\1/i"|sort |uniq
 * grep -h n'affiche pas le nom des fichiers
 * */
$_ADMIN_FILES = 'article categorie statique profil user comment parametres_affichage parametres_edittpl';
if (!defined('L_THEMES'))// 5.5+
 define('L_THEMES',L_CONFIG_EDITTPL_TITLE);//5.2
$ADMIN_LANGS = array(
L_MENU_ARTICLES,
L_MENU_CATEGORIES,
L_MENU_STATICS,
L_MENU_PROFIL,
L_MENU_CONFIG_USERS,
//L_CREATE_NEW_COMMENT, // comment_new ::: "comment" est dans "comment_new" en ExpReg et c+simple ;)
L_MENU_COMMENTS,
L_MENU_CONFIG_VIEW,
L_THEMES// php protégé
//L_PLUGINS_CSS // parametres_plugincss #pluxml-5.6. Inutile & inutilisable en css /!\
);

$params = array(
//	'theme'			=> 'string',//kzAce (maybe 4 cmtheme)
	'admin_files'		=> 'string'
);

$adm_files = explode(' ', $_ADMIN_FILES);

if(!empty($_POST)) {

	$plxPlugin->setParam('folder', trim(ltrim($_POST['folder'], '/')), 'string');
	$plxPlugin->setParam('extraPlugins', $_POST['extraPlugins'], 'cdata');
	$plxPlugin->setParam('height', $_POST['height'], 'string');
	$plxPlugin->setParam('tools', $_POST['tools'], 'string');
	$plxPlugin->setParam('spellcheck', $_POST['spellcheck'], 'string');
	$plxPlugin->setParam('cmtheme', $_POST['cmtheme'], 'string');
	$plxPlugin->setParam('cmfullscreen', $_POST['cmfullscreen'], 'numeric');

	function array_filter_item($item)/* use ($adm_files) */{//old php 5.1.*
		global $adm_files;
		return in_array($item, $adm_files);
	}

	foreach($params as $field=>$type) {
		if(!empty($_POST[$field])) {
			switch($type) {
				case 'string':
					$value = $_POST[$field];
					if(is_string($value)) {
						$param = plxUtils::strCheck($value);//filter_input(INPUT_POST, $field, FILTER_SANITIZE_STRING);//not in php<5.2
						$plxPlugin->setParam($field, $param, 'string');
					} elseif(is_array($value)) {
						$values = array_filter($value, 'array_filter_item');// as not func anonym*
						if(!empty($values)) {
							$param = implode('|', $values);
							$plxPlugin->setParam($field, $param, 'string');
						} else {
							$plxPlugin->delParam($field);//5.4+
						}
					}
					break;
				default:
					// Nothing to do
			}
		} else {
			$plxPlugin->delParam($field);//PluXml-5.4+
		}
	}

	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p='.get_class($plxPlugin));
	exit;
}
?>
<style>
form.inline-form label {
	width: 300px ;
}
#form_<?php echo get_class($plxPlugin); ?> {
	margin-bottom: 3rem;
}
#form_<?php echo get_class($plxPlugin); ?> label {
	display: inline-block;
}
#form_<?php echo get_class($plxPlugin); ?> .admin-files label {
	text-align: right;
}
#form_<?php echo get_class($plxPlugin); ?> .admin-files {
	display: flex;
	flex-wrap: wrap;
}
#form_<?php echo get_class($plxPlugin); ?> .admin-files p {
	margin: 0.3rem 0;
}
#form_<?php echo get_class($plxPlugin); ?> .icon {
	position: fixed;
	bottom: 1.23rem;
	right: 4.56rem;
}
#form_<?php echo get_class($plxPlugin); ?> .icon img{
	height:32px !important;
}
</style>
<form class="inline-form" id="form_<?php echo get_class($plxPlugin); ?>" action="parametres_plugin.php?p=<?php echo get_class($plxPlugin); ?>" method="post">
	<fieldset>
		<p>
			<label for="id_folder"><?php $plxPlugin->lang('L_FOLDER') ?>&nbsp;:</label>
			<?php plxUtils::printInput('folder',$plxPlugin->getParam('folder'),'text','40-255') ?>
			<a class="hint"><span><?php echo L_HELP_SLASH_END ?></span></a>&nbsp;ex:&nbsp;data/medias/
		</p>
			<label for="id_static"><?php $plxPlugin->lang('L_WHAT') ?>&nbsp;:</label>

		<div class="admin-files">
<?php
	$field = 'admin_files';
	$values = explode('|', $plxPlugin->getParam($field));
	foreach($adm_files as $id => $item) {
?>
			<p>
				<label for="file_<?php echo $item; ?>"><?php echo $ADMIN_LANGS[$id]; ?></label>
				<input type="checkbox"
					name="admin_files[]"
					id="file_<?php echo $item; ?>"
					value="<?php echo $item; ?>"
					<?php if(in_array($item, $values)) { echo ' checked'; } ?>
				>
			</p>
<?php
	}
?>
		</div>
		<p>
			<label for="id_height"><?php $plxPlugin->lang('L_EDITOR_HEIGHT') ?>&nbsp;:</label>
			<?php plxUtils::printInput('height',$plxPlugin->getParam('height'),'text','7-7') ?>
		</p>
		<p>
			<label for="id_tools"><?php $plxPlugin->lang('L_TOOLS') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('tools',array('all'=>$plxPlugin->getLang('L_TOOLBAR0'), 'tools'=>$plxPlugin->getLang('L_TOOLBAR1'), 'menu'=>$plxPlugin->getLang('L_TOOLBAR2') ), $plxPlugin->getParam('tools'));?>
		</p>
		<p>
			<label for="id_spellcheck"><?php $plxPlugin->lang('L_SPELLCHECK') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('spellcheck',array('browser'=>$plxPlugin->getLang('L_SPELLCHECK0'),'no'=>$plxPlugin->getLang('L_SPELLCHECK1') ), $plxPlugin->getParam('spellcheck'));?>
		</p>
		<p>
			<label for="id_extraPlugins">extraPlugins&nbsp;:</label>
			<?php plxUtils::printInput('extraPlugins',$plxPlugin->getParam('extraPlugins'),'text','40-255') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_COMMA') ?></span></a>&nbsp;
			<a href="https://www.tinymce.com/docs/plugins/" title="extraPlugins">https://www.tinymce.com/docs/plugins/</a>
		</p>
		<p>
			<label for="id_cmfullscreen"><?php $plxPlugin->lang('L_CMFULLSCREEN') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('cmfullscreen',array(0 => L_NO, 1 => L_YES), $plxPlugin->getParam('cmfullscreen'));?>
		</p>
		<p>
			<label for="id_cmtheme"><?php $plxPlugin->lang('L_CMTHEME') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('cmtheme',include('config_themeCm.inc.php'), $plxPlugin->getParam('cmtheme'));?>
		</p>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
		</p>
		<div class="icon">
			<a href="https://www.tiny.cloud/download/custom-builds/" target="_blank" rel="noreferrer">
				<img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/tinymce.png" alt="Icon tinymce" />
			</a>
			<a href="http://php.net/" target="_blank" rel="noreferrer">
				<img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/php.png" alt="Icon php" />
			</a>
			<a href="http://codemirror.net/" target="_blank" rel="noreferrer">
				<img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/codemirror.png" alt="Icon codemirror" />
			</a>
			<a href="http://www.roxyfileman.com/" target="_blank" rel="noreferrer">
				<img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/roxyfileman.png" alt="Icon roxyfileman" />
			</a>
		</div>
	</fieldset>
</form>

